package model

import (
	"time"

	"github.com/jackc/pgx/v5/pgtype"
)

type Keluarga struct {
	Id           int32       `json:"id"`
	PasienId     int32       `json:"pasien_id"`
	Nama         pgtype.Text `json:"nama,omitempty"`
	Hubungan     pgtype.Int2 `json:"hubungan,omitempty"`
	NoIdentitas  *string     `json:"no_identitas,omitempty"`
	NoHp         *string     `json:"no_hp,omitempty"`
	KotaLahir    *int32      `json:"kota_lahir,omitempty"`
	Alamat       *string     `json:"alamat,omitempty"`
	TanggalLahir time.Time   `json:"tanggal_lahir,omitempty"`
	JenisKelamin *int32      `json:"jenis_kelamin,omitempty"`
	Pendidikan   *int32      `json:"pendidikan,omitempty"`
	Pekerjaan    *int32      `json:"pekerjaan,omitempty"`
	Email        *string     `json:"email,omitempty"`
}
